Get a single group

View as Markdown

Enterprise feature

Get a single user group by group id

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

groupIdstringRequired

Response

groupSchema
namestring
The name of the group
idintegerOptional
The group id
descriptionstring or nullOptional
A custom description of the group
mappingsSSOlist of stringsOptional
A list of SSO groups that should map to this Unleash group
rootRoledouble or nullOptional
A role id that is used as the root role for all users in this group. This can be either the id of the Viewer, Editor or Admin role.
createdBystring or nullOptional
A user who created this group
createdAtstring or nullOptionalformat: "date-time"
When was this group created
userslist of objectsOptional
A list of users belonging to this group
projectslist of stringsOptional
A list of projects where this group is used
userCountintegerOptional>=0
The number of users that belong to this group
scimIdstring or nullOptional
The SCIM ID of the group, only present if managed by SCIM

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error